"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_ilogger_1 = require("typescript-ilogger");
const test_values_1 = require("./test-values");
const helper_1 = require("./helper");
const error = new Error(`AWS Error`);
const publish = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
jest.mock('@aws-sdk/client-sns', () => {
    return {
        SNS: jest.fn().mockImplementation(() => {
            return {
                publish,
            };
        }),
    };
});
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
const snsHelperMock = new helper_1.SNSHelper(logger);
const TestValues = new test_values_1.TestingValues();
describe(`${helper_1.SNSHelper.name}.${snsHelperMock.PublishAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = snsHelperMock.PublishAsync(TestValues.Arn, TestValues.Subject, TestValues.Body);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
//# sourceMappingURL=helper-rejects.spec.js.map